<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>Tool (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Tool (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/command/tool/SinglePickaxe.html" title="class in com.sk89q.worldedit.command.tool"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/command/tool/TraceTool.html" title="interface in com.sk89q.worldedit.command.tool"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/command/tool/Tool.html" target="_top">Frames</a></li>
<li><a href="Tool.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.command.tool</div>
<h2 title="Interface Tool" class="title">Interface Tool</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/command/tool/BlockTool.html" title="interface in com.sk89q.worldedit.command.tool">BlockTool</a>, <a href="../../../../../com/sk89q/worldedit/command/tool/DoubleActionBlockTool.html" title="interface in com.sk89q.worldedit.command.tool">DoubleActionBlockTool</a>, <a href="../../../../../com/sk89q/worldedit/command/tool/DoubleActionTraceTool.html" title="interface in com.sk89q.worldedit.command.tool">DoubleActionTraceTool</a>, <a href="../../../../../com/sk89q/worldedit/command/tool/TraceTool.html" title="interface in com.sk89q.worldedit.command.tool">TraceTool</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/command/tool/AreaPickaxe.html" title="class in com.sk89q.worldedit.command.tool">AreaPickaxe</a>, <a href="../../../../../com/sk89q/worldedit/command/tool/BlockDataCyler.html" title="class in com.sk89q.worldedit.command.tool">BlockDataCyler</a>, <a href="../../../../../com/sk89q/worldedit/command/tool/BlockReplacer.html" title="class in com.sk89q.worldedit.command.tool">BlockReplacer</a>, <a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html" title="class in com.sk89q.worldedit.command.tool">BrushTool</a>, <a href="../../../../../com/sk89q/worldedit/command/tool/DistanceWand.html" title="class in com.sk89q.worldedit.command.tool">DistanceWand</a>, <a href="../../../../../com/sk89q/worldedit/command/tool/FloatingTreeRemover.html" title="class in com.sk89q.worldedit.command.tool">FloatingTreeRemover</a>, <a href="../../../../../com/sk89q/worldedit/command/tool/FloodFillTool.html" title="class in com.sk89q.worldedit.command.tool">FloodFillTool</a>, <a href="../../../../../com/sk89q/worldedit/command/tool/LongRangeBuildTool.html" title="class in com.sk89q.worldedit.command.tool">LongRangeBuildTool</a>, <a href="../../../../../com/sk89q/worldedit/command/tool/QueryTool.html" title="class in com.sk89q.worldedit.command.tool">QueryTool</a>, <a href="../../../../../com/sk89q/worldedit/command/tool/RecursivePickaxe.html" title="class in com.sk89q.worldedit.command.tool">RecursivePickaxe</a>, <a href="../../../../../com/sk89q/worldedit/command/tool/SinglePickaxe.html" title="class in com.sk89q.worldedit.command.tool">SinglePickaxe</a>, <a href="../../../../../com/sk89q/worldedit/command/tool/TreePlanter.html" title="class in com.sk89q.worldedit.command.tool">TreePlanter</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Tool</span></pre>
<div class="block">Represents a tool. This interface alone defines nothing. A tool also
 has to implement <code>BlockTool</code> or <code>TraceTool</code>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/Tool.html#canUse-com.sk89q.worldedit.extension.platform.Actor-">canUse</a></span>(<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor)</code>
<div class="block">Checks to see if the player can still be using this tool (considering
 permissions and such).</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="canUse-com.sk89q.worldedit.extension.platform.Actor-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>canUse</h4>
<pre>boolean&nbsp;canUse(<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor)</pre>
<div class="block">Checks to see if the player can still be using this tool (considering
 permissions and such).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>actor</code> - the actor</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if use is permitted</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/command/tool/SinglePickaxe.html" title="class in com.sk89q.worldedit.command.tool"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/command/tool/TraceTool.html" title="interface in com.sk89q.worldedit.command.tool"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/command/tool/Tool.html" target="_top">Frames</a></li>
<li><a href="Tool.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
